Package org.springframework.security.web.webauthn.api

# Class COSEAlgorithmIdentifier

java.lang.Object
org.springframework.security.web.webauthn.api.COSEAlgorithmIdentifier

public final class COSEAlgorithmIdentifier extends Object
COSEAlgorithmIdentifier is used to identify a cryptographic algorithm.

Since:
  6.4
See Also:
  - `PublicKeyCredentialParameters.getAlg()`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final COSEAlgorithmIdentifier`
`EdDSA`
`static final COSEAlgorithmIdentifier`
`ES256`
`static final COSEAlgorithmIdentifier`
`ES384`
`static final COSEAlgorithmIdentifier`
`ES512`
`static final COSEAlgorithmIdentifier`
`RS1`
`static final COSEAlgorithmIdentifier`
`RS256`
`static final COSEAlgorithmIdentifier`
`RS384`
`static final COSEAlgorithmIdentifier`
`RS512`

## Method Summary

Modifier and Type
Method
Description
`long`
`getValue()`
`String`
`toString()`
`static COSEAlgorithmIdentifier[]`
`values()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### EdDSA

public static final COSEAlgorithmIdentifier EdDSA

### ES256

public static final COSEAlgorithmIdentifier ES256

### ES384

public static final COSEAlgorithmIdentifier ES384

### ES512

public static final COSEAlgorithmIdentifier ES512

### RS256

public static final COSEAlgorithmIdentifier RS256

### RS384

public static final COSEAlgorithmIdentifier RS384

### RS512

public static final COSEAlgorithmIdentifier RS512

### RS1

public static final COSEAlgorithmIdentifier RS1

## Method Details

### getValue

public long getValue()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### values

public static COSEAlgorithmIdentifier[] values()